Eclipse Platform Release 3.7

## org.eclipse.swt.browser
Class LocationAdapter

    java.lang.Object
      org.eclipse.swt.browser.LocationAdapter

All Implemented Interfaces:
  EventListener, LocationListener, org.eclipse.swt.internal.SWTEventListener

    public abstract class LocationAdapter

extends Object
implements LocationListener

This adapter class provides default implementations for the methods described by the `LocationListener` interface.

Classes that wish to deal with `LocationEvent`'s can extend this class and override only the methods which they are interested in.

Since:
  3.0
See Also:
  Sample code and further information

Constructor Summary
`LocationAdapter()`

Method Summary
`void` `changed(LocationEvent event)` This method is called when the current location is changed.
`void` `changing(LocationEvent event)` This method is called when the current location is about to be changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocationAdapter

    public LocationAdapter()

Method Detail

### changing

    public void changing(LocationEvent event)

  Description copied from interface: `LocationListener`
  This method is called when the current location is about to be changed.

  The following fields in the `LocationEvent` apply:

  - (in) location the location to be loaded
  - (in) widget the `Browser` whose location is changing
  - (in/out) doit can be set to `false` to prevent the location from being loaded

  Specified by:
    `changing` in interface `LocationListener`
  Parameters:
    `event` - the `LocationEvent` that specifies the location to be loaded by a `Browser`

### changed

    public void changed(LocationEvent event)

  Description copied from interface: `LocationListener`
  This method is called when the current location is changed.

  The following fields in the `LocationEvent` apply:

  - (in) location the current location
  - (in) top `true` if the location opens in the top frame or `false` otherwise
  - (in) widget the `Browser` whose location has changed

  Specified by:
    `changed` in interface `LocationListener`
  Parameters:
    `event` - the `LocationEvent` that specifies the new location of a `Browser`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.